Bug 234675 - [NEW PORT] sysutils/packmule: Creates and packs custom FreeBSD installation images
Summary: [NEW PORT] sysutils/packmule: Creates and packs custom FreeBSD installation i...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-01-07 05:10 UTC by Austin Shafer
Modified: 2020-03-15 13:30 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Diff taken from /usr/ports using 'svn diff' (4.60 KB, patch)
2019-01-07 05:10 UTC, Austin Shafer
no flags Details | Diff
sysutils/packmule Revised patch after feedback (4.50 KB, patch)
2019-01-09 03:37 UTC, Austin Shafer
ashafer: maintainer-approval+
Details | Diff
sysutils/packmule Second Revision of feedback (4.50 KB, patch)
2019-01-09 03:49 UTC, Austin Shafer
no flags Details | Diff
sysutils/packmule: Third Revision (4.91 KB, patch)
2020-03-08 23:26 UTC, Austin Shafer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Austin Shafer 2019-01-07 05:10:43 UTC
Created attachment 200853 [details]
Diff taken from /usr/ports using 'svn diff'

Packmule packs a FreeBSD installation image with custom content, making it useful for generating images which install your commonly used files/ports (.shrc, emacs, .emacs.d, etc) along with the regular contents of FreeBSD. It's other main use involves adding an 'installerconfig' script to an existing iso image to allow for unattended installations. Users create a YAML packing list to identify which ports and individual files they would like to add instead of rebuilding from source.
Comment 1 Austin Shafer 2019-01-08 21:43:55 UTC
sysutils/packmule: Add QA

portlint: OK (looks fine.)
poudriere: OK (amd64 & i386 tested on 12.0/11.2)

This project does not have any unit tests at the moment. Testing involves running sysutils/packmule with one of the example configurations on an image. While running this is trivial, verifying that it worked is not easy to script (it would also involve downloading a full .iso image and running VM's). The functionality was tested manually on multiple machines. This is less than ideal and future work will be spent on adding tests for this port.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-09 02:55:07 UTC
(In reply to Austin Shafer from comment #1)

Thanks Austin. Some additional review items:

- Use DISTVERSIONPREFIX=v for ports that use USE_GITHUB and tags are prefixed
- Use NO_BUILD rather than an empty do-build target
- Group USES/USE together, in that order
- USES_PERL should be USE_PERL
- Add LICENCE_FILE if one is provided in the distribution file
- If port only supports particular ARCHS (do-install only installs mkiso dirs 
  for 4), set ONLY_FOR_ARCHS
- do-deinstall should not be necessary, pkg handles this based on pkg-plist
  contents
Comment 3 Austin Shafer 2019-01-09 03:37:39 UTC
Created attachment 200935 [details]
sysutils/packmule Revised patch after feedback

sysutils/packmule: Respond to feedback

Verified portlint and poudriere are happy with these changes and do not give errors.
Comment 4 Austin Shafer 2019-01-09 03:49:31 UTC
Created attachment 200936 [details]
sysutils/packmule Second Revision of feedback
Comment 5 Tobias C. Berner freebsd_committer 2019-11-09 19:08:40 UTC
Moin moin 

Is this still relevant?


mfg Tobias
Comment 6 Austin Shafer 2019-11-10 01:17:33 UTC
(In reply to Tobias C. Berner from comment #5)

At the time I think it was just waiting to be committed. I had submitted this to see if anyone else found it useful, but since it has been a year I'm guessing that is not the case.

If there is interest and it is wanted in the ports tree I'm happy to bump the version so it is up to date.
Comment 7 Tobias C. Berner freebsd_committer 2020-03-08 17:29:14 UTC
(In reply to Austin Shafer from comment #6)
Please do so :)
Comment 8 Austin Shafer 2020-03-08 23:26:12 UTC
Created attachment 212268 [details]
sysutils/packmule: Third Revision

Bumped to release 1.1, everything should be up to date now.
Comment 9 Austin Shafer 2020-03-08 23:27:11 UTC
Also retested with portlint and poudriere. Please let me know if there are any issues!
Comment 10 commit-hook freebsd_committer 2020-03-15 07:45:55 UTC
A commit references this bug:

Author: tcberner
Date: Sun Mar 15 07:45:42 UTC 2020
New revision: 528474
URL: https://svnweb.freebsd.org/changeset/ports/528474

Log:
  New port:  sysutils/packmule: Creates and packs custom FreeBSD installation images

  Packmule automates the process of loading custom software into a
  FreeBSD installation image. The user creates a "packing" list
  which is either installed alongside the base system, or added to
  the live CD.

  WWW: http://badland.io/packmule.md

  PR:		234675
  Submitted by:	Austin Shafer <ashafer@badland.io>

Changes:
  head/sysutils/Makefile
  head/sysutils/packmule/
  head/sysutils/packmule/Makefile
  head/sysutils/packmule/distinfo
  head/sysutils/packmule/pkg-descr
  head/sysutils/packmule/pkg-plist
Comment 11 Tobias C. Berner freebsd_committer 2020-03-15 07:45:59 UTC
Committed. Thank you :)
Comment 12 Austin Shafer 2020-03-15 13:30:10 UTC
Thanks!